Web lists-archives.com

Re: gost.dll required but missing after latest Cygwin update (was: Error report: could not load the shared library)




On 2019-03-21 06:47, Liebeskind Uri (luri) wrote:
> After the last cygwin update some important commands such as host, dig... do
> not work anymore.
> Here the output of the error:
> dig
> 21-Mar-2019 13:42:13.473 ENGINE_by_id failed (crypto failure)
> 21-Mar-2019 13:42:13.474 error:25066067:DSO support routines:dlfcn_load:could not load the shared library:crypto/dso/dso_dlfcn.c:119:filename(/usr/lib/engines-1.1/gost.dll): No such file or directory
> 21-Mar-2019 13:42:13.474 error:25070067:DSO support routines:DSO_load:could not load the shared library:crypto/dso/dso_lib.c:162:
> 21-Mar-2019 13:42:13.474 error:260B6084:engine routines:dynamic_load:dso not found:crypto/engine/eng_dyn.c:414:
> 21-Mar-2019 13:42:13.474 error:2606A074:engine routines:ENGINE_by_id:no such engine:crypto/engine/eng_list.c:334:id=gost
> dig: dst_lib_init: crypto failure
> host
> 21-Mar-2019 13:42:16.407 ENGINE_by_id failed (crypto failure)
> 21-Mar-2019 13:42:16.408 error:25066067:DSO support routines:dlfcn_load:could not load the shared library:crypto/dso/dso_dlfcn.c:119:filename(/usr/lib/engines-1.1/gost.dll): No such file or directory
> 21-Mar-2019 13:42:16.408 error:25070067:DSO support routines:DSO_load:could not load the shared library:crypto/dso/dso_lib.c:162:
> 21-Mar-2019 13:42:16.408 error:260B6084:engine routines:dynamic_load:dso not found:crypto/engine/eng_dyn.c:414:
> 21-Mar-2019 13:42:16.408 error:2606A074:engine routines:ENGINE_by_id:no such engine:crypto/engine/eng_list.c:334:id=gost
> host: dst_lib_init: crypto failure
> In the attachment you find the cygcheck report.
> Here a post from another user that describes the same problem:
> https://www.mail-archive.com/search?l=cygwin@xxxxxxxxxx&q=subject:%22gost.dll+required+but+missing+after+latest+Cygwin+update%22&o=newest&f=1
> thank you for fixing this or providing a solution and kind regards,

As in the other user's post (canonical URL):

	https://cygwin.com/ml/cygwin/2019-03/msg00517.html

downgrading bind-utils to the previous release solves the problem.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple